QGIS Application - Bug report #13218

regression: rule-based symbology broken when a rule has an empty filter

2015-08-14 03:22 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression
Assignee:

Category: Symbology

Affected QGIS version:master
Operating System:
Pull Request or Patch supplied:

Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 21279

Description

A regression emerged recently under QGIS master wheras the rule-based symbology will fail to render anything if one of its rules has no

filter set (i.e. shows as (no filter) in the rules list).
Steps to reproduce:
1. Create a new project
2. Add a layer (large polygons will do best)
3. Open the layer property, and set the symbology to rule-based
4. Make sure that the single rule has no filter
5. Apply, and see all the features gone

Associated revisions

Revision abf23988 - 2015-08-15 09:26 AM - Matthias Kuhn

Rule based renderer: empty rule matches all

Fix #13218

Revision 978265c9 - 2015-08-28 04:41 PM - Matthias Kuhn

Rule-based renderer fully recover "empty filter matches all"

Fix #13218

History

#1 - 2015-08-15 12:28 AM - Anonymous
- Status changed from Open to Closed

Fixed in changeset commit:"abf2398880d4ce71e8f99d3747{62928f7588acc".

#2 - 2015-08-20 12:29 AM - Andreas Neumann
- Status changed from Closed to Reopened
- File unterirdische_gebaeude.zip added

hm - still fails for my data.
Attached you find some data and a gmil file. If you load it, the rule labeled "Unterirdisches Gebaude, Reservoir" (which is a "no filter" rule) only displays if the

two other rules are off.

#3 - 2015-08-20 01:04 AM - Andreas Neumann

Seems like before commit:1d7a6a4 things still work ok.

So there must be some new bug in commit:1d7a6a4 and it seems like commit:abf2398 doesn't fix my problem.

#4 - 2015-08-20 10:44 AM - Anita Graser

| can confirm that this issue still exists in today's OSGeo4W qgis-dev.

#5 - 2015-08-25 01:55 AM - Denis Rouzaud

it works if you nest the two rules (Gestrichelt2 and Punktiert) into the Unterirdisches Gebaude, which | believe would be the logical structure.

#6 - 2015-08-25 05:32 AM - Andreas Neumann

Thanks Denis for the hint. It may work in this particular case.

However - quite often the individual rules can't be nested as they have nothing to do with each other. | also have several projects and layers that | would
have to change. Quite time consuming.

Itis also a bit annoying if old content breaks because of a change in behaviour.

#7 - 2015-08-28 07:53 AM - Anonymous

- Status changed from Reopened to Closed

Fixed in changeset commit:"978265c9fb50802b6a62fc07cd1a61ae1402c11f".

Files

unterirdische_gebaeude.zip 276 KB 2015-08-19 Andreas Neumann
